/*
Template:       bakerfresh
Theme Name:     Bakerfresh Child
Theme URI:      http://themeforest.net/user/LaStudio/portfolio?ref=LaStudio
Author:         LA Studio
Author URI:     http://themeforest.net/user/LaStudio?ref=LaStudio
Description:    Bakerfresh - Cake Shop WooCommerce Theme
Version:        1.0.0
Requires at least: 4.4
Requires PHP: 5.6
Tags:           Agency Architecture Portfolio, architecture company, architecture design, architecture portfolio, architecture responsive, Architecture ShowCase, Construction Architecture WordPress Theme, corporate architecture business, creative architecture responsive, exterior design, house design, interior design, interior designer, minimal architecture wordpress
License: 		    GNU General Public License
License URI: 	  licence/GPL.txt
Text Domain:    bakerfresh-child
Domain Path:    /languages/
*/
.flavour-list
 {
    margin-bottom: 30px;
    display: flex;
    flex-wrap: wrap;
    gap: 5px;
}
.cart .wrap-cart-cta .button{
	padding:22px 30px !important
}
#customer_login{
	margin:0 auto;
}
.xoo-wsc-sc-cont{
	    margin-left: 20px;
    position: relative;
    top: 5px;
}
.xoo-wsc-sc-subt{
	display:none;
}
.wa-widget{
    position:fixed;
    bottom:25px;
    right:25px;
    z-index:999999;
    font-family:Arial,sans-serif;
}
#wpc-pincode{
	width:calc(100% - 110px) !important
}
table.variations, .custom-cake-fields{
	background: #ebebeb;
    padding: 20px;
    border-radius: 8px;
	display:block;
}
.custom-cake-fields{
	margin-bottom:30px
}
.custom-field + .custom-field{
	margin-top:10px
}
.elementor-add-to-cart table.variations td, .elementor-add-to-cart table.variations th, table.variations tbody, table.variations tr{
	display:block;
}
a.reset_variations{
	position:static
}
.wa-button{
    width:60px;
    height:60px;
    border:none;
    border-radius:50%;
    background:#25D366;
    color:#fff;
    font-size:30px;
    cursor:pointer;
    box-shadow:0 5px 15px rgba(0,0,0,.2);
	float:right;
	display:flex;
	align-items:center;
	justify-content:center;
}
.wa-medium-icon{
	width:40px;
	height:40px;
}
.wa-popup{
    width:360px;
    background:#fff;
    border-radius:12px;
    overflow:hidden;
    box-shadow:0 10px 30px rgba(0,0,0,.2);
    margin-bottom:20px;

    opacity:0;
    visibility:hidden;
    transform:translateY(30px) scale(.95);
    transform-origin:bottom right;

    transition:
        opacity .35s ease,
        transform .35s ease,
        visibility .35s;
}

.wa-popup.active{
    opacity:1;
    visibility:visible;
    transform:translateY(0) scale(1);
}

.wa-header{
    background:#25D366;
    color:#fff;
    padding:25px;
    display:flex;
    gap:15px;
}

.wa-header h3{
    margin:0;
    font-size:24px;
	color:#fff;
}

.wa-header p{
    font-size:13px;
    line-height:1.5;
}

.wa-header-icon img{
    width:55px;
}

.wa-body{
    padding:20px;
    background:#f5f5f5;
}

.wa-reply{
    color:#777;
    margin-bottom:20px;
}

.wa-user{
    background:#fff;
    padding:15px;
    border-radius:10px;
    display:flex;
    justify-content:space-between;
    align-items:center;
    text-decoration:none;
    border-left:3px solid #25D366;
}

.wa-user-left{
    display:flex;
    align-items:center;
    gap:15px;
}

.wa-user-left img{
    width:50px;
    height:50px;
}

.wa-user-left strong{
    display:block;
    color:#222;
}

.wa-user-left span{
    color:#777;
    font-size:14px;
}

.wa-small-icon{
    width:25px;
}

@media(max-width:480px){

    .wa-popup{
        width:320px;
    }

    .wa-header h3{
        font-size:26px;
    }

    .wa-button{
        width:60px;
        height:60px;
        font-size:30px;
		float:right;
    }
}
body #pincheck_wrapper .pincheck_inner{
	background: #f8f8f8 !important;
    padding: 20px !important;
}

.whatsapp-order-btn svg{
	width:20px;
	height:20px;
	margin-right:10px;
}
.woocommerce-notices-wrapper{
	    max-width: 1440px;
    margin: auto;
    padding-top: 30px;
}
.woocommerce-message{
	margin:0 !important;
}

.whatsapp-order-btn{
	display: inline-flex;
    background: #4e342e;
    color: #fff !important;
    align-items: center;
    justify-content: center;
    border-radius: 8px;
	    padding: 16px 50px;
    font-size: 1em;
    height: 60px;
    position: relative;
    top: 3px;
}
.cake-menu{
	list-style:none;
	margin:0;
	padding:0;
}
.cake_lists_customized{
	display:flex; 
	gap:10px;
	overflow-x: auto;
	scrollbar-width: none;
}
.photo_one{
	min-width:200px;
	position:relative;
}
.photo_one a{
	position:absolute;
	bottom:0;
	left:0;
	right:0;
	background:#000;
}
.photo_one img{
	border-radius:10px;
}

.best-seller-products {
    display: grid;
    grid-template-columns: repeat(4, 1fr); /* 4 columns */
    gap: 20px;
}

/* Limit to 2 rows (8 items) */
.best-seller-products .product-item:nth-child(n+9) {
    display: none;
}

.product-item {
    background: #fff;
    border-radius: 16px;
    overflow: hidden;
    border:1px solid rgba(134, 134, 134, 0.5);
    transition: 0.3s ease;
}

.product-item:hover {
    transform: translateY(-5px);
}

/* Image */
.product-item img {
    width: 100%;
        height: 304px;
    object-fit: cover;
    object-position: center;
}

/* Info section */
.pinfo {
    padding: 12px;
}

/* Delivery badge */
.delivery_time {
    display: inline-flex;
    align-items: center;
    gap: 5px;
    font-size: 12px;
    background: #e6f0f7;
    color: #2c5c74;
    padding: 4px 8px;
    border-radius: 6px;
    margin-bottom: 6px;
}

/* Title */
.pinfo h3 {
    font-size: 15px;
    font-weight: 600;
    margin: 6px 0;
    color: #333;
}

/* Price */
.price {
    font-size: 16px;
    font-weight: 600;
    color: #000;
}

/* Old price */
.price del {
    color: #999;
    margin-left: 5px;
}

/* Discount */
.price ins {
    text-decoration: none;
    color: #ff9800;
    margin-left: 5px;
}

/* Rating */
.rating {
    display: flex;
    align-items: center;
    gap: 6px;
    margin-top: 6px;
}

.rating .star {
    background: #4caf50;
    color: #fff;
    padding: 2px 6px;
    border-radius: 6px;
    font-size: 12px;
}

.occasion-grid {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    gap: 20px;
}

.occasion-card, .home-category-slider a{
    display: block;
    background: #fff;
    border-radius: 20px;
    overflow: hidden;
    text-align: center;
    text-decoration: none;
    color: #333;
    border:1px solid rgba(134, 134, 134, 0.5);
    transition: 0.3s ease;
}

.occasion-card:hover {
    transform: translateY(-5px);
}

.occasion-card img {
    width: 100%;
    height: 304px;
    object-fit: cover;
	object-position:center;
}
.category-card img{
	width: 100%;
    height: 204px;
    object-fit: cover;
	object-position:center;
}
.occasion-card h3, .home-category-slider h3 {
    padding: 12px;
    font-size: 16px;
    font-weight: 600;
	margin:0;
}
.notcontain_egg{
	border: 2px solid #00a651;
	padding:2px;
	width:15px;
	height:15px;
	position:absolute;
	top:10px;
	left:10px;
	display:flex;
	align-items:center;
	justify-content:center;
	background:#fff;
	-webkit-transition:all 0.3s ease;
}
.notcontain_egg b{
	display:block;
	margin:auto;
	width:8px;
	height:8px;
	background:#00a651;
	border-radius:40px;
}
.contain_egg{
	border: 2px solid #944a28;
	padding:2px;
	width:15px;
	height:15px;
	position:absolute;
	top:10px;
	left:10px;
	display:flex;
	align-items:center;
	justify-content:center;
	background:#fff;
	-webkit-transition:all 0.3s ease;
}
.contain_egg b{
	display:block;
	margin:auto;
	width: 0;
    height: 0;
    border-bottom: 8px solid #944a28;
    border-left: 5px solid transparent;
    border-right: 5px solid transparent;
    border-radius: 0;
    background: transparent;
}

.product-item a{
	display:block;
	position:relative
}

.custom-category-wrapper{
	padding:40px 0 80px;
}
.wrapper{
	width:100%;
	max-width:1340px;
	margin:auto;
	padding:0 20px
}

ol.flex-control-thumbs{
	margin-top:0 !important
}
.heading_title{
	font-family: "Poppins", Sans-serif;
    font-size: 32px;
    font-weight: 700;
    color: #4E342E; 
	text-align:center;
	margin:0 0 40px
}

/* FIX STICKY PRODUCT IMAGE ISSUE */

.elementor-sticky{
	width:48% !important;
	max-width:672px !important
}
    .custom-product-accordion{
        margin-top:30px;
        border-top:1px solid #e5e5e5;
    }

    .accordion-item{
        border-bottom:1px solid #e5e5e5;
    }

    .accordion-title{
        padding:18px 20px;
        cursor:pointer;
        font-size:18px;
        font-weight:600;
        display:flex;
        align-items:center;
        justify-content:space-between;
    }

    .accordion-content{
        display:none;
        padding:0 20px 20px;
        line-height:1.7;
        font-size:15px;
    }

    .accordion-title span{
        font-size:24px;
        transition:0.3s;
    }

    .accordion-item.active .accordion-title span{
        transform:rotate(45deg);
    }
a.flavour-item {
    display: inline-block;
    padding: 5px 20px 5px 20px;
    /* background: #4E342E; */
    border-radius: 30px;
    margin-right: 5px;
    color: #4E342E;
    position: relative;
    border: 1px solid #4E342E;
}
a.flavour-item.active{
	padding: 5px 50px 5px 20px;
	background: #4E342E; 
	color:#fff;
}
a.flavour-item span{
	position: absolute;
    right: 3px;
    background: #fff;
    color: #000;
    width: 32px;
    height: 32px;
    display: none;
    border-radius: 30px;
    align-items: center;
    justify-content: center;
    top: 3px;
    z-index: 100;
    
}
a.flavour-item.active span{
	display:inline-flex;
}
.flavour-list{
	margin-bottom:30px;
}
.custom-pagination{
	    text-align: center;
    margin-top: 40px;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 20px;
}
.custom-pagination a{
	color:#000;
}
.header_main {
	position:relative;
	z-index:100 !important;
}
.custom-pagination a.active{
	color:#BC8157;
	cursor: default;
    pointer-events: none;
}
.search-heading{
	color:#fff;
	text-align:center;
	font-size:21px;
	font-family: "Poppins", Sans-serif;
}


@media screen and (max-width:767px){
	.best-seller-products, .occasion-grid {
    grid-template-columns: repeat(2, 1fr);
}
	.wpc-pincode-box,table.variations, .custom-cake-fields{
		padding:10px !important;
	}
	.accordion-title{
		padding:8px 10px !important
	}
	.heading_title{
		font-size:24px !important;
		margin-bottom:20px;
	}
	.headermenu .lakit-mobile-menu-active .lakit-nav-menuwrap{
		width:100%;
	}
	.headermenu .lakit-nav-menuwrap{
		    position: fixed;
			top: 0;
			right: 0;
			bottom: 0;
			width: 0%;
			z-index: 10000;
			padding:0 !important
	}
	.headermenu .lakit-nav--horizontal{
		width:100% !important;
		position:static !important;
		padding-top:40px !important
	}
	.headermenu .lakit-nav__mobile-close-btn{
		top:0 !important
	}
	.header_mainbar{
		z-index:1000 !important
	}
	.lakit-nav__sub-mega .elementor-top-section{
		box-shadow:none !important
	}
	.lakit-nav__sub-mega .elementor-top-section .elementor-icon{
		display:none !important
	}
	.lakit-nav__sub-mega .elementor-top-section .elementor-icon-box-content{
		text-align:left;
	}
}
@media screen and (max-width:479px){
	.best-seller-products, .occasion-grid {
    grid-template-columns: repeat(1, 1fr);
}
}